using System.IO;

namespace Crysome.Common.Network.Packets.Server;

public class GetDrivesRequestPacket : IPacket
{
	public long RequestId { get; set; }

	public void Write(BinaryWriter w)
	{
		w.Write(RequestId);
	}

	public void Read(BinaryReader r)
	{
		RequestId = ((r.BaseStream.Position < r.BaseStream.Length) ? r.ReadInt64() : 0);
	}
}
